'use strict';

var _assert = require('assert');

var _assert2 = _interopRequireDefault(_assert);

var _index = require('../index');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-env mocha */

describe('getRouteMap', function () {
  it('should accept a string argument', function () {
    var expected = { foo: 'foo' };
    var actual = (0, _index.getRouteNameMap)('foo');
    _assert2.default.deepEqual(expected, actual);
  });

  it('should accept an array argument', function () {
    var expected = { bar: 'bar' };
    var actual = (0, _index.getRouteNameMap)(['bar']);
    _assert2.default.deepEqual(expected, actual);
  });

  it('should accept an object argument', function () {
    var expected = { baz: 'baz' };
    var actual = (0, _index.getRouteNameMap)({ baz: 'baz' });
    _assert2.default.deepEqual(expected, actual);
  });
});